> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chains

> List all supported blockchain networks with their IDs and names.

List the blockchain networks supported by Magna. Use a returned `id` as the
`chainId` when [creating a token](/apis/admin/tokens/create-token).

**Route:** `GET /api/external/v1/chains`

## Headers

| Header              | Required | Description                |
| ------------------- | -------- | -------------------------- |
| `Content-Type`      | Yes      | Must be `application/json` |
| `x-magna-api-token` | Yes      | Your Magna API token       |

## Request example

```sh theme={null}
curl -X GET https://app.magna.so/api/external/v1/chains \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY'
```

## Response example

```json theme={null}
{
  "items": [
    { "id": "ch1...uuid", "name": "Ethereum", "platform": "EVM" },
    { "id": "ch2...uuid", "name": "Solana", "platform": "SOLANA" }
  ]
}
```
